Bug 240626 - gtk_cell_renderer_text() can not reset alignment property from default
gtk_cell_renderer_text() can not reset alignment property from default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 18:25 EDT by Need Real Name
Modified: 2008-05-06 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-05-18 18:25:04 EDT
Description of problem:  "alignment" property on gtkcellrenderertext does not
work.  It is in source after 2.10 but has no effect when using g_object_set() to
set the PANGO_ALIGN_RIGHT.  This bug has been reported before but was passed of
to gtk.org, who did nothing to correct it.  Since it is in the source for FC6
gtk this is a Fedora problem -- not a gtk.org one.  Other properties for
cellrenderertext also do not work.  This makes the newer list and tree functions
less than useful if you don't want all the columns to be left aligned.


Version-Release number of selected component (if applicable): gtk-2.10.4 as
distributed with FC6.



How reproducible:

Steps to Reproduce:
1.Try to right (or center) align text in any cell in gtk_tree_view_column using
g_object_set() (as directed in the Ref manual). as in:
 g_object_set(G_OBJECT(cell1), "alignment", PANGO_ALIGN_RIGHT, NULL); //
compiles OK but does nothing
2.
3.
  
Actual results:makes no difference.


Expected results: expect text in cell to be right aligned.


Additional info:  Hope this bug report does not get shuffled off to gtk.org. 
Hope it gets fixed.
Comment 1 Bug Zapper 2008-04-04 03:16:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:36:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.